List access profiles in organization
Lists the access profiles of an organization, or of a project (its own and those shared by its organization).
GET
Lists the access profiles of an organization, or of a project (its own and those shared by its organization).
bearerheader
AuthorizationBearer <token>An access token, or an API key.
organization*stringThe organization's ID.
Match
^org_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of connections to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
accessProfiles*array<>Access profiles, oldest first.
nextPageToken*stringToken for the next page; empty on the last page.
curl -X GET 'https://api.kosem.ai/v1/organizations/string/accessProfiles'Example Response
{
"accessProfiles": [
{
"alias": "string",
"availability": {
"allProjects": true,
"projects": [
"string"
]
},
"config": {
"property1": null,
"property2": null
},
"connection": "string",
"createTime": "2019-08-24T14:15:22Z",
"description": "string",
"etag": "string",
"name": "string",
"provider": "string",
"source": "string",
"state": "ACTIVE",
"stateReason": "string",
"updateTime": "2019-08-24T14:15:22Z"
}
],
"nextPageToken": "string"
}